/***************************************************************************/
/* ALGORITHME Essai/Erreur                                                                  */
/***************************************************************************/

#ifndef _ALGORITHME_H_
#define _ALGORITHME_H_

//====== Types et structures =====

typedef enum { FALSE=0, TRUE=1 } bool_t;

//Etat d'une tape de l'exploration
typedef struct
{
  int nb_coups_max;      // Mmoire rserve pour les coups.
  int nb_coups;          // Nombre de coups jouables considrs
  int idx_coup;          // Index du prochain de ces coups  jouer
  JEU_coup_t *coups;     // Tableau des coups en question
  JEU_explain_t explain; // Pour que l'algorithme puisse commenter ses choix
}
ALG_list_coups_t;

/* Etat global de l'exploration */
typedef struct
{
  ALG_list_coups_t *coups_cases; // Liste des coups autoriss sur chaque case parcourue jusqu'ici.
  int              *a_idx_coups; // [ (-1) si la liste de coups n'est pas tablie].
  int              nb_max;       // Nombre d'index prvus dans a_idx_coups[]
}
ALG_plan_explore_t;

// ===== FIN DE FICHIER =====

#endif
