/***************************************************************************/
/* ALGORITHME Essai/Erreur: Fonction de rsolution                         */
/***************************************************************************/

#ifndef _ALGORITHME_FUNCS_H_
#define _ALGORITHME_FUNCS_H_

// ===== Fonctions =====

// ----- Rsolution du problme -----
bool_t ALG_f_resoudre(JEU_position_t *p_position); //Rsoud le jeu  partir d'une position initiale

// ----- Gestion de la liste des coups -----
void ALG_f_init_list(ALG_list_coups_t *pL);      //Initialise une liste de coups vide.
void ALG_f_add_list(ALG_list_coups_t *pL, JEU_coup_t *pc); //Ajoute une copie de *pc  la liste.
void ALG_f_clear_list(ALG_list_coups_t *pL);     //Vide la liste

// ===== FIN DE FICHIER =====

#endif
