/***************************************************************************/
/* IHM POUR SUDOKU: DECLARATIONS                                           */
/***************************************************************************/

#ifndef _IHM_H_
#define _IHM_H_

//===========================================================================
// Variables partages
//===========================================================================

extern int ihm_Boardsize; // ct d'une grille
extern int ihm_Elemsize;  // ct d'une rgion carre de la grille
extern int ihm_Maxcoul;   // valeurs autorises: 1..ihm_Maxcoul

extern bool_t IHM_v_opt_balai;    //Utiliser le balayage
extern bool_t IHM_v_opt_unique;   //Rechercher les cases  coup unique
extern bool_t IHM_v_opt_nettoyer; //Eliminer des coups par ensemble
extern bool_t IHM_v_opt_impasse;  //Reconnatre une impasse quand il y a 0 coups sur une case.
extern bool_t IHM_v_opt_expliquer;//Expliquer la dmarche de recherche

// ==========================================================================
// Prototypes
// ==========================================================================

void ihm_i2xy(int i, int *px, int *py);
void ihm_getcarre(int *px, int *py);
int ihm_xy2i(int x, int y);
void ihm_drawline(int bs, int es);
void ihm_affiche(JEU_position_t *p_position);
void IHM_saisir (JEU_position_t *p_position);
void ihm_PrintExplo(ALG_plan_explore_t *pexplo, int idx_explo);
void ihm_saisir2(JEU_position_t *p_position);

void ihm_out(const char *format, ...);

#endif

// ===== FIN DE FICHIER =====
